commit:     517e3ddd92b4826e7a713007030177ebffc41464
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Fri Jul  2 07:17:53 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Jul  2 07:23:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=517e3ddd

app-forensics/yara: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 app-forensics/yara/Manifest          |  1 +
 app-forensics/yara/metadata.xml      | 24 ++++++++++++
 app-forensics/yara/yara-4.1.1.ebuild | 72 ++++++++++++++++++++++++++++++++++++
 3 files changed, 97 insertions(+)

diff --git a/app-forensics/yara/Manifest b/app-forensics/yara/Manifest
new file mode 100644
index 000000000..7bdea3d1b
--- /dev/null
+++ b/app-forensics/yara/Manifest
@@ -0,0 +1 @@
+DIST yara-4.1.1.tar.gz 936115 BLAKE2B 
6edf277702fb40513097195c730002875eef75502e92d672597ca09fefc054c14a082076877e8bea3daaeb05148a9116e2c302ea90a6ce6270e460fce31db658
 SHA512 
e4474254249d5b3fbb7231fdec5f4e080be042098e1b2bc953aa93513ce0b4742e34acac2911687e75055ecd589d942f71b79c58ca47eee243626ab3ec8add71

diff --git a/app-forensics/yara/metadata.xml b/app-forensics/yara/metadata.xml
new file mode 100644
index 000000000..875695e98
--- /dev/null
+++ b/app-forensics/yara/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+    <maintainer type="person">
+      <description>co-maintainers welcome</description>
+      <email>lssndrbarbi...@gmail.com</email>
+      <name>Alessandro Barbieri</name>
+    </maintainer>
+    <upstream>
+        <bugs-to>https://github.com/VirusTotal/yara/issues</bugs-to>
+    </upstream>
+    <use>
+        <flag name="cpu-profiler">compile with CPU profiling support</flag>
+        <flag name="cuckoo">enable cuckoo module</flag>
+        <flag name="debug-dex">enable dex module debugging</flag>
+        <flag name="dex">enable dex module</flag>
+        <flag name="dotnet">enable dotnet module</flag>
+        <flag name="jemalloc">use jemalloc to debug heap-related issues</flag>
+        <flag name="macho">enable macho module</flag>
+        <flag name="magic">enable magic module</flag>
+        <flag name="profile">enable rules profiling support</flag>
+        <flag name="tcmalloc">use tcmalloc as the default heap allocator</flag>
+    </use>
+</pkgmetadata>

diff --git a/app-forensics/yara/yara-4.1.1.ebuild 
b/app-forensics/yara/yara-4.1.1.ebuild
new file mode 100644
index 000000000..f47cce0cc
--- /dev/null
+++ b/app-forensics/yara/yara-4.1.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DOCS_AUTODOC=0
+DOCS_BUILDER="sphinx"
+DOCS_DIR="docs"
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit autotools python-any-r1 docs
+
+DESCRIPTION="A malware identification and classification tool"
+HOMEPAGE="
+       http://virustotal.github.io/yara
+       https://github.com/virustotal/yara
+"
+SRC_URI="https://github.com/virustotal/yara/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cpu-profiler cuckoo +dex debug-dex dotnet jemalloc macho magic profile 
tcmalloc"
+#TODO: test https://github.com/VirusTotal/yara/issues/1524
+
+REQUIRED_USE="?? ( jemalloc tcmalloc )"
+DEPEND="
+       dev-libs/openssl:0=
+
+       cpu-profiler? ( dev-util/google-perftools )
+       cuckoo? ( dev-libs/jansson )
+       jemalloc? ( dev-libs/jemalloc )
+       magic? ( sys-apps/file )
+       tcmalloc? ( dev-util/google-perftools )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable cuckoo)
+               $(use_enable debug-dex)
+               $(use_enable dex)
+               $(use_enable dotnet)
+               $(use_enable macho)
+               $(use_enable magic)
+               $(use_enable profile profiling)
+
+               $(use_with cpu-profiler)
+               $(use_with jemalloc)
+               $(use_with tcmalloc)
+       )
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       default
+       docs_compile
+}
+
+
+src_install() {
+       default
+       einstalldocs
+       dodoc CONTRIBUTORS sample.{file,rules}
+       find "${ED}" -name '*.la' -delete || die
+       find "${ED}" -name '*.a' -delete || die
+}

Reply via email to